Skip to main content
`Ctrl`+`K`

# DMSwarmVectorGetField

Gets the field from which to define a `Vec` object when `DMCreateLocalVector()`, or `DMCreateGlobalVector()` is called

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmVectorGetField(DM dm, const char *fieldname[])

Not collective

## Input Parameter

- dm - a `DMSWARM`

## Output Parameter

- fieldname - the textual name given to a registered field, or the empty string if it has not been set

## See Also

`DM`, `DMSWARM`, `DMSwarmVectorDefineField()` `DMSwarmRegisterPetscDatatypeField()`, `DMCreateGlobalVector()`, `DMCreateLocalVector()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages